<bugID>1108132<Summary>Optionally wrap long lines in the debugger</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:32.0) Gecko/20100101 Firefox/32.0
Build ID: 20140923175406

Steps to reproduce:

Debug an .xul or similar in Browser ToolBox (former Browser Debugger). Have lines that are longer than the source code part of the debugger.


Actual results:

The source code is not wrapped, so you have to scroll to the right and back.


Expected results:

Wrap such lines (ideally: dynamically, i.e. wrap at white space only, do not split words). Even better: have an option to turn wrapping on/off.

This would be useful regardless of what source code line length Mozilla or anyone deems a 'standard'. I.e. you could have a line of eighty characters or less, but it wouldn't fit in the source code area, because of e.g. a small screen, a need to see wide stack trace or wide listing of variables/watches etc.</Description></bugID>